Package dev.plex.command.annotation

# Annotation Interface CommandPermissions

@Retention(RUNTIME) public @interface CommandPermissions
Storage for the command's permissions

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Rank`
`level`
Minimum rank required
`String`
`permission`
The permission
`RequiredCommandSource`
`source`
Required command source

## Element Details

### level

Rank level
Minimum rank required

Returns:
  Minimum rank required for the command
See Also:
  - `Rank`

Default:
  IMPOSTOR

### source

RequiredCommandSource source
Required command source

Returns:
  The required command source of the command
See Also:
  - `RequiredCommandSource`

Default:
  ANY

### permission

String permission
The permission

Returns:
  Permission of the command

Default:
  ""